org.codehaus.plexus.maven.plugin

## Class PlexusDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo
    - - org.codehaus.plexus.maven.plugin.PlexusDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class PlexusDescriptorMojo
    extends AbstractDescriptorMojo

Generates a Plexus `components.xml` component descriptor file from source (javadoc) or class annotations.

Version:
  $Id: PlexusDescriptorMojo.java 6933 2007-10-05 10:49:41Z user57 $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from class org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

`COMPILE_SCOPE, fileName, log, TEST_SCOPE`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusDescriptorMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

`generateDescriptor, getMavenProject, getMavenProjectHelper`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusDescriptorMojo

    public PlexusDescriptorMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`